dpkg-parsechangelog(1)

NAME
dpkg-parsechangelog - parse Debian changelog files

SYNOPSIS
dpkg-parsechangelog [options]

DESCRIPTION
dpkg-parsechangelog reads and parses the changelog of an unpacked Debian source tree and outputs the information in it to standard output in a machine-readable form.

OPTIONS

-lchangelogfile
    Specifies the change log file to read information from. The default is debian/changelog.

-Fchangelogformat
    Specifies the format of the changelog. By default the format is read from a special line near the bottom of the changelog or failing that defaults to the debian standard format.

-Llibdir
    FIXME not used in the source!?

-vversion
    Use changelog information from all versions strictly later than version.

-h, --help
    Show the usage message and exit.

--version
    Show the version and exit.

FILES

debian/changelog
    The changelog file, used to obtain version-dependent information about the source package, such as the urgency and distribution of an upload, the changes made since a particular release, and the source version number itself.

AUTHORS
Copyright (C) 1995-1996 Ian Jackson
Copyright (C) 2000 Wichert Akkerman

This is free software; see the GNU General Public Licence version 2 or later for copying conditions. There is NO WARRANTY.